<div>
    <h2 id="page-heading">
        <span>CIS Controls</span>

        <button hidden id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-cis-control" [routerLink]="['/cis-control/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new CIS Control
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="cISControls?.length === 0">
        <span>No CIS Controls found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="cISControls && cISControls.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span>ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="version"><span>Version</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="type"><span>Type</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="description"><span>Description</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="totalPass"><span>Total Pass</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="totalFail"><span>Total Fail</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="totalWarn"><span>Total Warn</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="totalInfo"><span>Total Info</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="report.id"><span>Report</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let cISControl of cISControls ;trackBy: trackId">
                    <td><a [routerLink]="['/cis-control', cISControl.id, 'view']">{{ cISControl.id }}</a></td>
                    <td>{{ cISControl.version }}</td>
                    <td>{{ cISControl.type }}</td>
                    <td>{{ cISControl.description }}</td>
                    <td>{{ cISControl.totalPass }}</td>
                    <td>{{ cISControl.totalFail }}</td>
                    <td>{{ cISControl.totalWarn }}</td>
                    <td>{{ cISControl.totalInfo }}</td>
                    <td>
                        <div *ngIf="cISControl.report">
                            <a [routerLink]="['/cis-report', cISControl.report?.id, 'view']" >{{ cISControl.report?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/cis-control', cISControl.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button hidden type="submit"
                                    [routerLink]="['/cis-control', cISControl.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button hidden type="submit" (click)="delete(cISControl)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="cISControls && cISControls.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
